dofile_once( "mods/spellbound_bundle/files/scripts/utils.lua");
local entity = GetUpdatedEntityID();
local projectile = EntityGetFirstComponentIncludingDisabled( entity, "ProjectileComponent" );
if projectile ~= nil then
    EntitySetVariable( entity, "gkbrkn_shooter", "int",ComponentGetValue2( projectile, "mWhoShot" ) );
    make_projectile_not_damage_shooter( entity );
    EntityAddComponent( entity, "LuaComponent", {
		script_shot="mods/spellbound_bundle/files/goki_ports/actions/protective_enchantment/shot.lua"
    } );
end

